> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get job status

> Returns the current status of a job including processing progress and assigned event IDs if completed



## OpenAPI

````yaml /openapi/beyond-ai/caliper-api.yaml get /jobs/{jobId}/status
openapi: 3.1.0
info:
  title: Caliper API
  version: 1.0.0
  description: >-
    # Documentation


    ## Overview


    The Alpha Caliper API is a service that receives, validates, and processes
    learning events conforming to the [IMS Caliper Analytics®
    specification](https://www.imsglobal.org/spec/caliper/v1p2). 

    This API enables educational technology platforms to track and analyze
    student engagement, learning activities, and assessment outcomes.


    ## Key Features


    - **Event Validation**: Ensures all submitted events conform to the Caliper
    Analytics specification

    - **Event Processing**: Processes and stores valid events for analytics

    - **Multiple Event Profiles**: Supports various Caliper event profiles


    ## Getting Started


    To use this API, you need to:


    1. **Familiarize with Caliper**: Understand the [IMS Caliper Analytics
    specification](https://www.imsglobal.org/spec/caliper/v1p2)

    2. **Format Your Events**: Structure your events according to the Caliper
    data model

    3. **Submit Events**: Send events to our API endpoints wrapped in a Caliper
    envelope


    ---


    # Frequently Asked Questions



    ## Purpose of the API


    Q: **What is the purpose of the Alpha Caliper API?**


    A: Receive, validate and store learning events conforming to the [IMS
    Caliper Analytics®
    specification](https://www.imsglobal.org/spec/caliper/v1p2).


    ---


    ## Out of scope


    Q: **What is not the (direct) purpose of the Alpha Caliper API?**


    A: 


    - Generate insights from events. (ETL)

    - Provide a learning analytics platform.

    - Provide a learning content management system.

    - Raw crud apis.


    ---


    ## Insights generation


    Q: **Does Caliper have an ETL layer to extract insights from the events
    sent?**


    A: No, caliper is only responsible for storing the events, other services
    may implement an ETL layer to extract insights from specific events.

    Caliper acts like a data warehouse, it's purpose is to store events and make
    them available for reporting and analytics.


    ---


    ## Specific Use-cases


    Q: **Which events should I send?**


    A: The Alpha Caliper API supports the entire Caliper specification. We also
    extended the base spec to contain specific events for the Timeback platform.


    - If you are using the Timeback platform, take a look at the section below
    for supported use-cases.

    - If your use-case is not supported, please contact us to discuss how we can
    extend the spec to support your use-case.

    - If you want your events to be processed by the Alpha Analytics API (ETL),
    you need to conform to the TimeBack Profile and it's supported events.


    ---


    # Timeback Platform Users


    ## Guide


    If you are a user of the timeback platform you may have these questions:


    - Q: **How do I give XP to my students?**

    - Q: **How do I record time spent on activities?**

    - Q: **How do I provided information about total questions, correct answers,
    etc?**


    A: Use The **Timeback Profile**, which is a profile that extends the base
    Caliper specification to support the Timeback platform.


    It contains the following events:


    - **TimebackActivityEvent** - used to record student interaction with an
    activity.

    - **TimebackTimeSpentEvent** - used to record the time spent on an activity.



    See the timeback docs for more information:


    [Timeback
    Docs](https://caliper.alpha-1edtech.ai/scalar?api=timeback-events-api)


    ---


    # Authentication


    ## Guide


    Most endpoints require authentication using the `Authorization: Bearer
    <token>` header.


    The token can be obtained with:


    ```

    curl -X POST
    https://prod-beyond-timeback-api-2-idp.auth.us-east-1.amazoncognito.com/oauth2/token
    \

    -H "Content-Type: application/x-www-form-urlencoded" \

    -d
    "grant_type=client_credentials&client_id=<your-client-id>&client_secret=<your-client-secret>"

    ```


    Use the correct IDP server depending on the environment you're using.


    IDP Server for this environment:

    ```text
      https://prod-beyond-timeback-api-2-idp.auth.us-east-1.amazoncognito.com
    ```


    Reach out to the platform team to get a client/secret pair for your
    application.
servers:
  - url: https://caliper.alpha-1edtech.ai
    description: Caliper API
security:
  - OAuth2: []
tags:
  - name: Events
    description: >-
      These are the endpoints to use when submitting and validating Caliper
      Events
  - name: Jobs
    description: These are the endpoints to use when checking the status of background jobs
paths:
  /jobs/{jobId}/status:
    get:
      tags:
        - Jobs
      summary: Get job status
      description: >-
        Returns the current status of a job including processing progress and
        assigned event IDs if completed
      parameters:
        - name: jobId
          in: path
          required: true
          schema:
            type: string
          description: The unique identifier of the job
      responses:
        '200':
          description: Job status retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  job:
                    type: object
                    properties:
                      id:
                        type: string
                        example: '6'
                      state:
                        type: string
                        example: completed
                      returnValue:
                        type: object
                        properties:
                          status:
                            type: string
                            example: success
                          results:
                            type: array
                            items:
                              type: object
                              properties:
                                allocatedId:
                                  type: string
                                  example: '7'
                                externalId:
                                  type: string
                                  example: >-
                                    urn:uuid:cadcb833-551e-487b-8213-007f89e74ddf
                              required:
                                - allocatedId
                                - externalId
                        required:
                          - status
                          - results
                      processedOn:
                        type:
                          - string
                          - 'null'
                        example: '2025-07-28T15:15:28.330Z'
                    required:
                      - id
                      - state
                      - returnValue
                      - processedOn
                required:
                  - job
        '404':
          description: Job not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    const: error
                  message:
                    type: string
                  errors: {}
                required:
                  - status
                  - message
components:
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          scopes:
            https://purl.imsglobal.org/spec/caliper/v1p1/scope/admin: Admin scope (can call all endpoints)
            https://purl.imsglobal.org/spec/caliper/v1p1/scope/webhook.create: Webhook create scope (can create and update webhooks)
            https://purl.imsglobal.org/spec/caliper/v1p1/scope/webhook.readonly: Webhook readonly scope (can read webhooks)
            https://purl.imsglobal.org/spec/caliper/v1p1/scope/event.create: Event create scope (can create events)
          tokenUrl: >-
            https://prod-beyond-timeback-api-2-idp.auth.us-east-1.amazoncognito.com/oauth2/token

````